Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.time.common
Interface ScheduledTriggerDef

Deprecated. As of WebLogic Server 7.0, replaced by `Timer`.

public interface ScheduledTriggerDef

ScheduledTriggerDef objects are returned by the factory method `TimeServicesDef.getScheduledTrigger()`, and represent a scheduler-trigger pair. The ScheduledTrigger does not begin execution until the ScheduledTriggerDef.schedule() method is called. At a later point, the ScheduledTrigger can be deactivated by calling its `cancel()` method, or by returning zero (0) from its `schedule()` method. The `schedule()`method returns a unique number that can be used as a key for the scheduled trigger.

See Also:
  `TimeServicesDef`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `cancel()` Deprecated. Deprecated in WebLogic Server 6.1
`boolean` | `isDaemon()` Deprecated. Deprecated in WebLogic Server 6.1
`int` | `schedule()` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `setDaemon(boolean isDaemon)` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `setWorkManager(weblogic.work.WorkManager manager)` Deprecated. Deprecated in WebLogic Server 6.1

Method Detail

### cancel

    public boolean cancel()
                   throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  Ends (recurring) execution of the `schedule()`-`trigger()` cycle.

  Returns:
    true if the cycle is stopped
  Throws:
    `weblogic.time.common.TimeTriggerException` - if the trigger cannot be cancelled

### isDaemon

    public boolean isDaemon()
                     throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  Returns true, if the trigger is set to continue executing after the client has disconnected. This is only valid for server-side triggers.

  Throws:
    `weblogic.time.common.TimeTriggerException` - if the trigger has already been cancelled.

### schedule

    public int schedule()
                 throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  Begins (recurring) execution of the `schedule()`-`trigger()` cycle.

  Returns:
    Unique number that can be used as a key
  Throws:
    `weblogic.time.common.TimeTriggerException` - if the cycle cannot be started

### setDaemon

    public void setDaemon(boolean isDaemon)
                   throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  If set to true, the trigger will continue executing after the client has disconnected. This is only valid for server-side triggers.

  Throws:
    `weblogic.time.common.TimeTriggerException` - if the trigger has already been cancelled.

### setWorkManager

    public void setWorkManager(weblogic.work.WorkManager manager)

  Deprecated. Deprecated in WebLogic Server 6.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD